Bug 582448 - imsettings 0.108 can not disable any input methods
imsettings 0.108 can not disable any input methods
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: imsettings (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-14 21:52 EDT by Chen Lei
Modified: 2010-04-20 09:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: imsettings-0.108.0-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-20 09:19:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.imsettings.conf after logging in gnome desktop. (816 bytes, text/plain)
2010-04-14 22:58 EDT, Chen Lei
no flags Details
.imsettings.conf after disabling ibus. (993 bytes, text/plain)
2010-04-14 23:00 EDT, Chen Lei
no flags Details
.imsettings.conf after switch im from ibus to xsunpinyin (1.60 KB, text/plain)
2010-04-14 23:01 EDT, Chen Lei
no flags Details

  None (edit)
Description Chen Lei 2010-04-14 21:52:13 EDT
Description of problem:
After update to the latest version yesterday. I cannot switch between input methods or just disable ibus.

Version-Release number of selected component (if applicable):
0.108

How reproducible:


Steps to Reproduce:
1.im-chooser
2.disable input methods
  
Actual results:
Disable input methods can not kill /usr/bin/ibus-daemon.

Expected results:
Works as previous version 0.107.

Additional info:
If I kill ibus-daemon manually even with Signal -9, imsettings will always restart it with a new pid.
Comment 1 Chen Lei 2010-04-14 21:58:22 EDT
Note: 
If I switch from ibus to another im, imsettings daemon will fail to kill ibus and fork a new process for that im.
Comment 2 Akira TAGOH 2010-04-14 22:45:36 EDT
Can you attach $HOME/.imsettings.log?
Comment 3 Chen Lei 2010-04-14 22:58:30 EDT
Created attachment 406671 [details]
.imsettings.conf after logging in gnome desktop.
Comment 4 Chen Lei 2010-04-14 23:00:27 EDT
Created attachment 406672 [details]
.imsettings.conf after disabling ibus.
Comment 5 Chen Lei 2010-04-14 23:01:53 EDT
Created attachment 406673 [details]
.imsettings.conf after switch im from ibus to xsunpinyin
Comment 6 Akira TAGOH 2010-04-15 03:03:54 EDT
Thanks. should be fixed in imsettings-0.108.0-2.fc12.
Comment 7 Fedora Update System 2010-04-15 03:12:09 EDT
imsettings-0.108.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/imsettings-0.108.0-2.fc13
Comment 8 Fedora Update System 2010-04-15 03:13:03 EDT
imsettings-0.108.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/imsettings-0.108.0-2.fc12
Comment 9 Chen Lei 2010-04-16 06:53:30 EDT
(In reply to comment #6)
> Thanks. should be fixed in imsettings-0.108.0-2.fc12.    

imsettings-0.108.0-2.fc12 works fine, thank you!
Comment 10 Fedora Update System 2010-04-16 19:41:54 EDT
imsettings-0.108.0-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update imsettings'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/imsettings-0.108.0-2.fc12
Comment 11 Fedora Update System 2010-04-20 09:15:27 EDT
imsettings-0.108.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-04-20 09:18:59 EDT
imsettings-0.108.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.